Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706934 - media-video/ccextractor-0.85-r2 : fails to build with -fno-common or gcc-10
Summary: media-video/ccextractor-0.85-r2 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-28 18:42 UTC by Toralf Förster
Modified: 2020-11-01 05:28 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.97 KB, text/plain)
2020-01-28 18:42 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,102.77 KB, text/plain)
2020-01-28 18:43 UTC, Toralf Förster
Details
environment (environment,111.30 KB, text/plain)
2020-01-28 18:43 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,17.98 KB, application/x-bzip)
2020-01-28 18:43 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,4.72 KB, application/x-bzip)
2020-01-28 18:43 UTC, Toralf Förster
Details
media-video:ccextractor-0.85-r2:20200128-113829.log (media-video:ccextractor-0.85-r2:20200128-113829.log,197.35 KB, text/plain)
2020-01-28 18:43 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,33.74 KB, application/x-bzip)
2020-01-28 18:43 UTC, Toralf Förster
Details
fix-for-gcc-10.patch (fix-for-gcc-10.patch,522 bytes, patch)
2020-05-17 01:05 UTC, Matt Whitlock
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-28 18:42:57 UTC
/usr/bin/x86_64-pc-linux-gnu-gcc  -I/var/tmp/portage/media-video/ccextractor-0.85-r2/work/ccextractor/src -I/var/tmp/portage/media-video/ccextractor-0.85-r2/work/ccextractor/src/lib_ccx -I/var/tmp/portage/media-video/ccextractor-0.85-r2/work/ccextractor/src/utf8proc -I/var/tmp/portage/media-video/ccextractor-0.85-r2/work/ccextractor/src/gpacmp4 -I/var/tmp/portage/media-video/ccextractor-0.85-r2/work/ccextractor/src/protobuf-c -I/var/tmp/portage/media-video/ccextractor-0.85-r2/work/ccextractor/src/zvbi   -DNDEBUG -O2 -pipe -march=native -fno-common -std=gnu99 -D_FILE_OFFSET_BITS=64   -o CMakeFiles/ccextractor.dir/ccextractor.c.o -c /var/tmp/portage/media-video/ccextractor-0.85-r2/work/ccextractor/src/ccextractor.c
[100%] Linking C executable ccextractor
/usr/bin/cmake -E cmake_link_script CMakeFiles/ccextractor.dir/link.txt --verbose=1
/usr/bin/x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -std=gnu99 -D_FILE_OFFSET_BITS=64  -Wl,-O1 -Wl,--as-needed -rdynamic CMakeFiles/ccextractor.dir/zvbi/bit_slicer.c.o CMakeFiles/ccextractor.dir/zvbi/decoder.c.o CMakeFiles/ccextractor.dir/zvbi/raw_decoder.c.o CMakeFiles/ccextractor.dir/zvbi/sampling_par.c.o CMakeFiles/ccextractor.dir/lib_hash/sha2.c.o CMakeFiles/ccextractor.dir/ccextractor.c.o  -o ccextractor   -L/opt/local/lib  -L/usr/local/lib  -Wl,-rpath,/opt/local/lib:/usr/local/lib: lib_ccx/libccx.a -lm -lpng -lz 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: lib_ccx/libccx.a(ccx_common_option.c.o):(.bss+0x0): multiple definition of `ccx_dtvcc_default_pen_attribs'; CMakeFiles/ccextractor.dir/ccextractor.c.o:(.bss+0x7f0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: lib_ccx/libccx.a(ccx_common_option.c.o):(.bss+0x20): multiple definition of `ccx_dtvcc_default_pen_color'; CMakeFiles/ccextractor.dir/ccextractor.c.o:(.bss+0x810): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1-libressl-20200125-183534

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 7.10.3

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Tue, 28 Jan 2020 10:46:23 +0000

emerge -qpvO media-video/ccextractor
[ebuild  N    ] media-video/ccextractor-0.85-r2
Comment 1 Toralf Förster gentoo-dev 2020-01-28 18:42:59 UTC
Created attachment 606674 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-28 18:43:02 UTC
Created attachment 606676 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-28 18:43:05 UTC
Created attachment 606678 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-28 18:43:07 UTC
Created attachment 606680 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-28 18:43:10 UTC
Created attachment 606682 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-28 18:43:13 UTC
Created attachment 606684 [details]
media-video:ccextractor-0.85-r2:20200128-113829.log
Comment 7 Toralf Förster gentoo-dev 2020-01-28 18:43:16 UTC
Created attachment 606686 [details]
temp.tbz2
Comment 8 Matt Whitlock 2020-05-17 01:05:02 UTC
Created attachment 639738 [details, diff]
fix-for-gcc-10.patch

The attached patch fixes the build on ~amd64.
Comment 9 pste 2020-07-22 19:25:10 UTC
(In reply to Matt Whitlock from comment #8)
> Created attachment 639738 [details, diff] [details, diff]
> fix-for-gcc-10.patch
> 
> The attached patch fixes the build on ~amd64.

I just wanted to confirm that the patch works, thank's a lot Matt!

... and relay the following repoman output:

RepoMan scours the neighborhood...
>>> Creating Manifest for /var/db/repos/gentoo/media-video/ccextractor
  inherit.deprecated            1
   media-video/ccextractor/ccextractor-0.85-r2.ebuild: line 6: please migrate from 'cmake-utils' to 'cmake'
RepoMan sez: "You're only giving me a partial QA payment?
              I'll take it this time, but I'm not happy."

I'm not familiar with cmake and simply changing the inherit to "cmake" does not work, so that's still on the todo-list then.
Comment 10 Larry the Git Cow gentoo-dev 2020-11-01 05:28:12 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8cc02afe349792cc39e886d9ee01f8bf501548cc

commit 8cc02afe349792cc39e886d9ee01f8bf501548cc
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-11-01 05:23:55 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-11-01 05:23:55 +0000

    media-video/ccextractor: fix build with gcc 10
    
    Thanks-to: Matt Whitlock <gentoo@mattwhitlock.name>
    Closes: https://bugs.gentoo.org/706934
    Package-Manager: Portage-3.0.8, Repoman-3.0.2
    Signed-off-by: Sam James <sam@gentoo.org>

 media-video/ccextractor/ccextractor-0.85-r2.ebuild | 26 +++++++++++-----------
 .../files/ccextractor-0.85-fno-common.patch        | 13 +++++++++++
 2 files changed, 26 insertions(+), 13 deletions(-)